Bug 217324 - recently-used name missing for multiple input methods of same lang
recently-used name missing for multiple input methods of same lang
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks: FC7Blocker SCIM
  Show dependency treegraph
 
Reported: 2006-11-26 20:59 EST by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: scim-1.4.5-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 08:07:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The scim-toolbar. (130.29 KB, image/png)
2007-01-18 08:06 EST, Ramakrishna Reddy Yekulla
no flags Details

  None (edit)
Description Jens Petersen 2006-11-26 20:59:22 EST
Description of problem:
If you have say multiple (all) Hindi maps in the recently used list
then the most recently used one (all of them) have no input method name label.

Version-Release number of selected component (if applicable):
1.4.5

Additional info:
This works ok for the pre-1.4.5 menu code.
Comment 1 Jens Petersen 2006-12-15 03:39:04 EST
This should be fixed in 1.4.5-7.fc7.
Comment 2 Ramakrishna Reddy Yekulla 2007-01-18 08:06:32 EST
Created attachment 145915 [details]
The scim-toolbar.

217324,"MODIFIED","Fedora Core","scim","recently-used name missing for multiple
input methods of same lang"
Environment set up ::
o scim-1.4.5-7.fc7
o Gnome-terminal
o rpm -qa --qf "%[name}-%{version}-%{release}.%{arch}\n" scim\* | sort
Steps to reproduce ::
o Applications --> Accessories -> Terminal
o Activate SCIM
o Use Input with Languages with Multiple inputs
o For Eg. Hindi will have the following itrans, phonetic, remington, inscript,
typewriter
o Select them, one by one
o click on the scim icon on the gnome-panel
o It should show the language and its respective keymap Eg. For hindi
Hindi - Inscript
Hindi - phonetic
Hindi - remington

Observations ::
Works fine for scim-1.4.5-7.fc7 in my rawhide

Note You need to log in before you can comment on or make changes to this bug.